org.firebirdsql.gds.ng.jna

## Class NativeResourceUnloadWebListenerJakarta

- java.lang.Object
- - org.firebirdsql.gds.ng.jna.NativeResourceUnloadWebListenerJakarta

All Implemented Interfaces:
  jakarta.servlet.ServletContextListener, java.util.EventListener

    @WebListener
    public class NativeResourceUnloadWebListenerJakarta
    extends java.lang.Object
    implements jakarta.servlet.ServletContextListener

Servlet context listener for `jakarta.servlet` for unloading native libraries if loaded in the current context.

Twin of `NativeResourceUnloadWebListenerJavaX`.

Since:
  5
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
Constructor and Description
`NativeResourceUnloadWebListenerJakarta()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `contextDestroyed(jakarta.servlet.ServletContextEvent servletContextEvent)`
`void` `contextInitialized(jakarta.servlet.ServletContextEvent servletContextEvent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NativeResourceUnloadWebListenerJakarta

    public NativeResourceUnloadWebListenerJakarta()

### Method Detail

#### contextInitialized

    public void contextInitialized(jakarta.servlet.ServletContextEvent servletContextEvent)

Specified by:
  `contextInitialized` in interface `jakarta.servlet.ServletContextListener`

#### contextDestroyed

    public void contextDestroyed(jakarta.servlet.ServletContextEvent servletContextEvent)

Specified by:
  `contextDestroyed` in interface `jakarta.servlet.ServletContextListener`